1. Activity Log
Analytics
  • Docs
  • Auth
    • /v2/auth/token
      GET
  • Activity Log
    • /v2/activity-log
      GET
    • /v2/activity-log
      DELETE
    • /v2/activity-log/csv
      GET
    • /v2/activity-log/realtime
      GET
  • Data Availability
    • /v2/data-availability
      GET
  • Statistics
    • /v2/statistic/timeseries
      GET
    • /v2/statistic/timeseries/{group}
      GET
    • /v2/statistic/count
      GET
    • /v2/statistic/count/{group}
      GET
    • /v2/statistic/trend/{group}
      GET
  • Admin Actions
    • /v2/admin-action
      GET
  • Clients
    • /v2/client
      GET
    • /v2/client
      DELETE
    • /v2/client/alias/{endpointId}/{clientId}
      DELETE
    • /v2/client/alias/{endpointId}/{clientId}
      PUT
  • Schemas
    • Column
    • DeleteClientResponse
    • GetAdminActionLogResponse
    • CountGroupResponse
    • GetClientResponse
    • AdminActionLogItem
    • GeoIPData
    • QueryData
    • PaginationData
    • ClientActivity
    • TrendResponse
    • CountResponse
    • TimeSeriesGroupResponse
    • TimeSeriesResponse
    • ErrorResponse
    • Trigger
    • Datetime
    • DataAvailability
    • HistoricalQueriesResponse
    • IP
    • Domain
  1. Activity Log

/v2/activity-log

https://us-east1-org01.analytics.controld.com
https://us-east1-org01.analytics.controld.com
https://us-east1-org01.analytics.controld.com
https://us-east1-org01.analytics.controld.com
DELETE
/v2/activity-log
Queues a deletion job for the specified filters. This job is executed asynchronously, and may take up to 48 hours.
Scope:
If no filters are provided, deletes all query data and last activity timestamps for the account in this region.
Client and endpoint metadata (names, aliases, settings) are preserved so they remain visible in the UI.
If endpointId is provided, deletes query data and client metadata for clients
whose last activity is before the cutoff time. Last activity timestamps are preserved.
If clientId[] is also provided, deletes query data and client metadata for those specific clients
(if their last activity is before the cutoff). Last activity timestamps are preserved.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Query Params

Responses

🟢200
OK
This response does not have a body.
🟠400BadRequest
🟠401Unauthorized
🔴500InternalServerError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request DELETE 'https://us-east1-org01.analytics.controld.com/v2/activity-log?endpointId&clientId[]' \
--header 'Authorization: <api-key>'
Response Response Example
400 - Example 1
{
    "success": false,
    "error": {
        "message": "string",
        "code": 418
    }
}
Modified at 2026-03-31 19:19:32
Previous
/v2/activity-log
Next
/v2/activity-log/csv
Built with